# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
},
"language_name": "English",
"location_code": 2840,
"include_serp_info": true,
"limit": 3
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"include_serp_info": true,
"language_name": "English",
"limit": 3,
"location_code": 2840,
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
}
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live"
payload = [
{
"include_serp_info": True,
"language_name": "English",
"limit": 3,
"location_code": 2840,
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
include_serp_info: true,
language_name: 'English',
limit: 3,
location_code: 2840,
pages: {'1': 'https://forbes.com', '2': 'https://cnn.com/*'}
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'include_serp_info' => true,
'language_name' => 'English',
'limit' => 3,
'location_code' => 2840,
'pages' => [
'1' => 'https://forbes.com',
'2' => 'https://cnn.com/*'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live"
payload := strings.NewReader("[\n {\n \"include_serp_info\": true,\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"pages\": {\n \"1\": \"https://forbes.com\",\n \"2\": \"https://cnn.com/*\"\n }\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"include_serp_info\": true,\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"pages\": {\n \"1\": \"https://forbes.com\",\n \"2\": \"https://cnn.com/*\"\n }\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"include_serp_info\": true,\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"pages\": {\n \"1\": \"https://forbes.com\",\n \"2\": \"https://cnn.com/*\"\n }\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": [
{
"exclude_pages": [
"<string>"
],
"items": [
{
"intersection_result": {},
"keyword_data": {
"avg_backlinks_info": {
"backlinks": 123,
"dofollow": 123,
"last_updated_time": "<string>",
"main_domain_rank": 123,
"rank": 123,
"referring_domains": 123,
"referring_main_domains": 123,
"referring_pages": 123,
"se_type": "<string>"
},
"clickstream_keyword_info": {
"age_distribution": {},
"gender_distribution": {},
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword": "<string>",
"keyword_info": {
"categories": [
123
],
"competition": 123,
"competition_level": "<string>",
"cpc": 123,
"high_top_of_page_bid": 123,
"last_updated_time": "<string>",
"low_top_of_page_bid": 123,
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"se_type": "<string>",
"search_volume": 123,
"search_volume_trend": {
"monthly": 123,
"quarterly": 123,
"yearly": 123
}
},
"keyword_info_normalized_with_bing": {
"is_normalized": true,
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword_info_normalized_with_clickstream": {
"is_normalized": true,
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword_properties": {
"core_keyword": "<string>",
"detected_language": "<string>",
"is_another_language": true,
"keyword_difficulty": 123,
"se_type": "<string>",
"synonym_clustering_algorithm": "<string>",
"words_count": 123
},
"language_code": "<string>",
"location_code": 123,
"se_type": "<string>",
"search_intent_info": {
"foreign_intent": [
"<string>"
],
"last_updated_time": "<string>",
"main_intent": "<string>",
"se_type": "<string>"
},
"serp_info": {
"check_url": "<string>",
"last_updated_time": "<string>",
"previous_updated_time": "<string>",
"se_results_count": 123,
"se_type": "<string>",
"serp_item_types": [
"<string>"
]
}
},
"se_type": "<string>"
}
],
"items_count": 123,
"language_code": "<string>",
"location_code": 123,
"pages": {},
"se_type": "<string>",
"total_count": 123
}
]
}
]
}Page Intersection
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
},
"language_name": "English",
"location_code": 2840,
"include_serp_info": true,
"limit": 3
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"include_serp_info": true,
"language_name": "English",
"limit": 3,
"location_code": 2840,
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
}
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live"
payload = [
{
"include_serp_info": True,
"language_name": "English",
"limit": 3,
"location_code": 2840,
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
include_serp_info: true,
language_name: 'English',
limit: 3,
location_code: 2840,
pages: {'1': 'https://forbes.com', '2': 'https://cnn.com/*'}
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'include_serp_info' => true,
'language_name' => 'English',
'limit' => 3,
'location_code' => 2840,
'pages' => [
'1' => 'https://forbes.com',
'2' => 'https://cnn.com/*'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live"
payload := strings.NewReader("[\n {\n \"include_serp_info\": true,\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"pages\": {\n \"1\": \"https://forbes.com\",\n \"2\": \"https://cnn.com/*\"\n }\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"include_serp_info\": true,\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"pages\": {\n \"1\": \"https://forbes.com\",\n \"2\": \"https://cnn.com/*\"\n }\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"include_serp_info\": true,\n \"language_name\": \"English\",\n \"limit\": 3,\n \"location_code\": 2840,\n \"pages\": {\n \"1\": \"https://forbes.com\",\n \"2\": \"https://cnn.com/*\"\n }\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": [
{
"exclude_pages": [
"<string>"
],
"items": [
{
"intersection_result": {},
"keyword_data": {
"avg_backlinks_info": {
"backlinks": 123,
"dofollow": 123,
"last_updated_time": "<string>",
"main_domain_rank": 123,
"rank": 123,
"referring_domains": 123,
"referring_main_domains": 123,
"referring_pages": 123,
"se_type": "<string>"
},
"clickstream_keyword_info": {
"age_distribution": {},
"gender_distribution": {},
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword": "<string>",
"keyword_info": {
"categories": [
123
],
"competition": 123,
"competition_level": "<string>",
"cpc": 123,
"high_top_of_page_bid": 123,
"last_updated_time": "<string>",
"low_top_of_page_bid": 123,
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"se_type": "<string>",
"search_volume": 123,
"search_volume_trend": {
"monthly": 123,
"quarterly": 123,
"yearly": 123
}
},
"keyword_info_normalized_with_bing": {
"is_normalized": true,
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword_info_normalized_with_clickstream": {
"is_normalized": true,
"last_updated_time": "<string>",
"monthly_searches": [
{
"month": 123,
"search_volume": 123,
"year": 123
}
],
"search_volume": 123
},
"keyword_properties": {
"core_keyword": "<string>",
"detected_language": "<string>",
"is_another_language": true,
"keyword_difficulty": 123,
"se_type": "<string>",
"synonym_clustering_algorithm": "<string>",
"words_count": 123
},
"language_code": "<string>",
"location_code": 123,
"se_type": "<string>",
"search_intent_info": {
"foreign_intent": [
"<string>"
],
"last_updated_time": "<string>",
"main_intent": "<string>",
"se_type": "<string>"
},
"serp_info": {
"check_url": "<string>",
"last_updated_time": "<string>",
"previous_updated_time": "<string>",
"se_results_count": 123,
"se_type": "<string>",
"serp_item_types": [
"<string>"
]
}
},
"se_type": "<string>"
}
],
"items_count": 123,
"language_code": "<string>",
"location_code": 123,
"pages": {},
"se_type": "<string>",
"total_count": 123
}
]
}
]
}Request contract
- Method and path: POST /apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "any_dataforseo_apis_v1_dataforseo_dataforseo_labs_054efa",
"method": "POST",
"path": "/apis/v1/dataforseo/dataforseo_labs/google/page_intersection/live",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"include_serp_info": true,
"language_name": "English",
"limit": 3,
"location_code": 2840,
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
}
}
],
"items": {
"oneOf": [
{
"example": [
{
"include_serp_info": true,
"language_name": "English",
"limit": 3,
"location_code": 2840,
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
}
}
],
"properties": {
"exclude_pages": {
"description": "URLs of pages you want to excludeoptional fieldyou can set up to 10 pages in this arrayif you use this array, results will contain the keywords for which URLs from the pages object rank, but URLs from exclude_pages array do not;note that if you specify this field, the results will be based on the keywords any URL from pages ranks for regardless of intersections between them. However, you can set intersection_mode to intersect and results will contain the keywords all URLs from pages rank for in the same SERP and URLs from exclude_pages do not. use a wildcard ('*') character to specify the search patternexample:\"exclude_pages\":[\"https://www.apple.com/iphone/*\",\"https://dataforseo.com/apis/*\",\"https://www.microsoft.com/en-us/industry/services/\"]",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"filters": {
"description": "array of results filtering parametersoptional fieldyou can add several filters at once (8 filters maximum)you should set a logical operator and, or between the conditionsthe following operators are supported:regex, not_regex, <, <=, >, >=, =, <>, in, not_in, ilike, not_ilike, like, not_like, match, not_matchyou can use the % operator with like and not_like, as well as ilike and not_ilike to match any string of zero or more charactersnote that if you want to filter by any field in the intersection_result array you need to specify the number of corresponding pagefor instance, if you want to filter results by the ranking of the first specified URL, you should set the following filter:[intersection_result.1.rank_absolute,\"=\",1]if you want to filter results and receive only organic listings for the third specified URL, you should set the following filter:[intersection_result.3.type,\"=\",\"organic\"] , etc.example:[\"keyword_data.keyword_info.search_volume\",\"in\",[100,1000]][[\"intersection_result.1.etv\",\">\",0],\"and\",[\"intersection_result.1.description\",\"like\",\"%goat%\"]][[\"keyword_data.keyword_info.search_volume\",\">\",100],\"and\",[[\"intersection_result.2.description\",\"like\",\"%goat%\"],\"or\",[\"intersection_result.2.type\",\"=\",\"organic\"]]]for more information about filters, please refer to Dataforseo Labs - Filters or this help center guide",
"items": {
"type": [
"object",
"null"
]
},
"type": [
"array",
"null"
]
},
"ignore_synonyms": {
"description": "ignore highly similar keywordsoptional fieldif set to true only core keywords will be returned, all highly similar keywords will be excluded; default value: false",
"type": [
"boolean",
"null"
]
},
"include_clickstream_data": {
"description": "include or exclude data from clickstream-based metrics in the resultoptional fieldif the parameter is set to true, you will receive clickstream_keyword_info, clickstream_etv, keyword_info_normalized_with_clickstream, and keyword_info_normalized_with_bing fields in the responsedefault value: falsewith this parameter enabled, you will be charged double the price for the requestlearn more about how clickstream-based metrics are calculated in this help center article",
"type": [
"boolean",
"null"
]
},
"include_serp_info": {
"description": "include data from SERP for each keywordoptional fieldif set to true, we will return a serp_info array containing SERP data (number of search results, relevant URL, and SERP features) for every keyword in the responsedefault value: false",
"type": [
"boolean",
"null"
]
},
"include_subdomains": {
"description": "indicates if the subdomains will be included in the searchoptional fieldif set to false, the subdomains will be ignoreddefault value: true",
"type": [
"boolean",
"null"
]
},
"intersection_mode": {
"description": "indicates whether to intersect keywordsoptional fielduse this field to intersect or merge results for the specified URLspossible values: union, intersectunion - results are based on all keywords any URL from pages rank for;intersect - results are based on the keywords all URLs from pages rank for in the same SERP:by default, results are based on the intersect mode if you specify only pages array. If you specify exclude_pages as well, results are based on the union mode",
"type": [
"string",
"null"
]
},
"item_types": {
"description": "search results typeindicates type of search results included in the responseoptional fieldpossible values: [\"organic\", \"paid\", \"featured_snippet\", \"local_pack\"]default value: [\"organic\", \"paid\"]",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"language_code": {
"description": "language coderequired field if you don't specify language_nameNote: it is required to specify either language_name or language_codeyou can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languagesexample:en",
"type": [
"string",
"null"
]
},
"language_name": {
"description": "full name of the languagerequired field if you don't specify language_codeNote: it is required to specify either language_name or language_codeyou can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languagesexample:English",
"type": [
"string",
"null"
]
},
"limit": {
"description": "the maximum number of returned keywordsoptional fielddefault value: 100maximum value: 1000",
"type": [
"integer",
"null"
]
},
"location_code": {
"description": "location coderequired field if you don't specify location_nameNote: it is required to specify either location_name or location_codeyou can receive the list of available locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languagesexample:2840",
"type": [
"integer",
"null"
]
},
"location_name": {
"description": "full name of the locationrequired field if you don't specify location_codeNote: it is required to specify either location_name or location_codeyou can receive the list of available locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languagesexample:United Kingdom",
"type": [
"string",
"null"
]
},
"offset": {
"description": "offset in the items array of returned keywordsoptional fielddefault value: 0if you specify 10 here, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords",
"type": [
"integer",
"null"
]
},
"order_by": {
"description": "results sorting rulesoptional fieldyou can use the same values as in the filters array to sort the resultspossible sorting types:asc - results will be sorted in the ascending orderdesc - results will be sorted in the descending orderyou should use a comma to set up a sorting parameterexample:[\"keyword_data.keyword_info.competition,desc\"]default rule:[\"keyword_data.keyword_info.search_volume,desc\"]note that you can set no more than three sorting rules in a single requestyou should use a comma to separate several sorting rulesexample:[\"intersection_result.1.rank_group,asc\",\"intersection_result.2.rank_absolute,asc\"]",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"pages": {
"additionalProperties": {
"type": [
"string",
"null"
]
},
"description": "target URLs of pagesrequired fieldyou can set up to 20 pages in this objectthe pages should be specified with absolute URLs (including http:// or https://)example:\"pages\": {\"1\":\"https://www.apple.com/mac/*\",\"2\":\"https://dataforseo.com/*\",\"3\":\"https://support.microsoft.com/\"}if you specify a single page here, we will return results only for this page;you can also use a wildcard ('') character to specify the search patternexample:\"example.com\"search for the exact URL\"example.com/eng/\"search for the example.com page and all its related URLs which start with '/eng/', such as \"example.com/eng/index.html\" and \"example.com/eng/help/\", etc.note: a wilcard should be placed after the slash ('/') character in the end of the URL, it is not possible to place it after the domain in the following way:https://dataforseo.comuse https://dataforseo.com/ insteadNote: this endpoint will not provide results if the number of intersecting keywords exceeds 10 million",
"type": [
"object",
"null"
]
},
"tag": {
"description": "user-defined task identifieroptional fieldthe character limit is 255you can use this parameter to identify the task and match it with the resultyou will find the specified tag value in the data object of the response",
"type": [
"string",
"null"
]
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": "array"
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.1356,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.1356 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.1356
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
URLs of pages you want to excludeoptional fieldyou can set up to 10 pages in this arrayif you use this array, results will contain the keywords for which URLs from the pages object rank, but URLs from exclude_pages array do not;note that if you specify this field, the results will be based on the keywords any URL from pages ranks for regardless of intersections between them. However, you can set intersection_mode to intersect and results will contain the keywords all URLs from pages rank for in the same SERP and URLs from exclude_pages do not. use a wildcard ('') character to specify the search patternexample:"exclude_pages":["https://www.apple.com/iphone/","https://dataforseo.com/apis/*","https://www.microsoft.com/en-us/industry/services/"]
array of results filtering parametersoptional fieldyou can add several filters at once (8 filters maximum)you should set a logical operator and, or between the conditionsthe following operators are supported:regex, not_regex, <, <=, >, >=, =, <>, in, not_in, ilike, not_ilike, like, not_like, match, not_matchyou can use the % operator with like and not_like, as well as ilike and not_ilike to match any string of zero or more charactersnote that if you want to filter by any field in the intersection_result array you need to specify the number of corresponding pagefor instance, if you want to filter results by the ranking of the first specified URL, you should set the following filter:[intersection_result.1.rank_absolute,"=",1]if you want to filter results and receive only organic listings for the third specified URL, you should set the following filter:[intersection_result.3.type,"=","organic"] , etc.example:["keyword_data.keyword_info.search_volume","in",[100,1000]][["intersection_result.1.etv",">",0],"and",["intersection_result.1.description","like","%goat%"]][["keyword_data.keyword_info.search_volume",">",100],"and",[["intersection_result.2.description","like","%goat%"],"or",["intersection_result.2.type","=","organic"]]]for more information about filters, please refer to Dataforseo Labs - Filters or this help center guide
ignore highly similar keywordsoptional fieldif set to true only core keywords will be returned, all highly similar keywords will be excluded; default value: false
include or exclude data from clickstream-based metrics in the resultoptional fieldif the parameter is set to true, you will receive clickstream_keyword_info, clickstream_etv, keyword_info_normalized_with_clickstream, and keyword_info_normalized_with_bing fields in the responsedefault value: falsewith this parameter enabled, you will be charged double the price for the requestlearn more about how clickstream-based metrics are calculated in this help center article
include data from SERP for each keywordoptional fieldif set to true, we will return a serp_info array containing SERP data (number of search results, relevant URL, and SERP features) for every keyword in the responsedefault value: false
indicates if the subdomains will be included in the searchoptional fieldif set to false, the subdomains will be ignoreddefault value: true
indicates whether to intersect keywordsoptional fielduse this field to intersect or merge results for the specified URLspossible values: union, intersectunion - results are based on all keywords any URL from pages rank for;intersect - results are based on the keywords all URLs from pages rank for in the same SERP:by default, results are based on the intersect mode if you specify only pages array. If you specify exclude_pages as well, results are based on the union mode
search results typeindicates type of search results included in the responseoptional fieldpossible values: ["organic", "paid", "featured_snippet", "local_pack"]default value: ["organic", "paid"]
language coderequired field if you don't specify language_nameNote: it is required to specify either language_name or language_codeyou can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languagesexample:en
full name of the languagerequired field if you don't specify language_codeNote: it is required to specify either language_name or language_codeyou can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languagesexample:English
the maximum number of returned keywordsoptional fielddefault value: 100maximum value: 1000
location coderequired field if you don't specify location_nameNote: it is required to specify either location_name or location_codeyou can receive the list of available locations with their location_code by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languagesexample:2840
full name of the locationrequired field if you don't specify location_codeNote: it is required to specify either location_name or location_codeyou can receive the list of available locations with their location_name by making a separate request to the https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languagesexample:United Kingdom
offset in the items array of returned keywordsoptional fielddefault value: 0if you specify 10 here, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords
results sorting rulesoptional fieldyou can use the same values as in the filters array to sort the resultspossible sorting types:asc - results will be sorted in the ascending orderdesc - results will be sorted in the descending orderyou should use a comma to set up a sorting parameterexample:["keyword_data.keyword_info.competition,desc"]default rule:["keyword_data.keyword_info.search_volume,desc"]note that you can set no more than three sorting rules in a single requestyou should use a comma to separate several sorting rulesexample:["intersection_result.1.rank_group,asc","intersection_result.2.rank_absolute,asc"]
target URLs of pagesrequired fieldyou can set up to 20 pages in this objectthe pages should be specified with absolute URLs (including http:// or https://)example:"pages": {"1":"https://www.apple.com/mac/*","2":"https://dataforseo.com/*","3":"https://support.microsoft.com/"}if you specify a single page here, we will return results only for this page;you can also use a wildcard ('') character to specify the search patternexample:"example.com"search for the exact URL"example.com/eng/"search for the example.com page and all its related URLs which start with '/eng/', such as "example.com/eng/index.html" and "example.com/eng/help/", etc.note: a wilcard should be placed after the slash ('/') character in the end of the URL, it is not possible to place it after the domain in the following way:https://dataforseo.comuse https://dataforseo.com/ insteadNote: this endpoint will not provide results if the number of intersecting keywords exceeds 10 million
Show child attributes
Show child attributes
user-defined task identifieroptional fieldthe character limit is 255you can use this parameter to identify the task and match it with the resultyou will find the specified tag value in the data object of the response
[
{
"include_serp_info": true,
"language_name": "English",
"limit": 3,
"location_code": 2840,
"pages": {
"1": "https://forbes.com",
"2": "https://cnn.com/*"
}
}
]
Response
Successful operation
total tasks cost, USD
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
total execution time, seconds
the current version of the API
array of tasks
Show child attributes
Show child attributes